> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm a Reservation

Confirms a reservation by assigning an available charging station and locking a connector. Charge usually calls this automatically about 30 minutes before the preferred charging window, but you can call it manually when needed.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.chargeapi.co/v1/reservations/res_lcrRzkcv6cLEFu2g1iGk7DSkZA1yskj6/confirm \
    -H "Authorization: Bearer ch_sk_test_..." \
    --json '{
    "payment_method": "pm_TN6N9IBoEw4b1AzFWyOXOq9p25Kg2sLF"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "res_lcrRzkcv6cLEFu2g1iGk7DSkZA1yskj6",
      "object": "reservation",
      "cancellation_policy": {
          "free_until_before": 1800,
          "type": "free_cancellation"
      },
      "charging_station": "chst_raM0DF0MjwbQMfdU2USC2UfryHoclIAh",
      "confirmed_at": "2026-04-01T01:41:36.220Z",
      "connector_type": ["CCS"],
      "created": "2026-04-01T00:45:10.147Z",
      "currency": "eur",
      "driver": "drv_RRYAcLthaabAvfgSmDljzML1QHm8rsSD",
      "earliest_start": null,
      "failed_reason": null,
      "ideal_end": "2026-04-01T03:15:13.327Z",
      "ideal_start": "2026-04-01T01:45:17.307Z",
      "latest_end": null,
      "location": {
          "latitude": 48.8698,
          "longitude": 2.3319,
          "radius": 1500
      },
      "metadata": {},
      "payment_method": "pm_TN6N9IBoEw4b1AzFWyOXOq9p25Kg2sLF",
      "reservation_fee": 1200,
      "reserved_end": "2026-04-01T03:14:49.558Z",
      "reserved_start": "2026-04-01T01:45:29.301Z",
      "status": "confirmed",
      "updated": "2026-04-01T01:43:27.849Z",
      "vehicle": "veh_eEmXcRXP18sQYOzh6cRWWAAAV8IZ8LA2"
  }
  ```
</ResponseExample>

## Parameters

No parameters.

## More parameters

<ParamField body="payment_method" type="string">
  ID of the payment method to attach to this reservation.
</ParamField>

## Returns

Returns the updated reservation.
